libvisio::VSDOptionalLineStyle Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDOptionalLineStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalLineStyle ()
| VSDOptionalLineStyle (const boost::optional< double > &w, const boost::optional< Colour > &col, const boost::optional< unsigned char > &p, const boost::optional< unsigned char > &sm, const boost::optional< unsigned char > &em, const boost::optional< unsigned char > &c, const boost::optional< double > &r)
| VSDOptionalLineStyle (const VSDOptionalLineStyle &style)
| ~VSDOptionalLineStyle ()
void | override (const VSDOptionalLineStyle &style)

## Public Attributes
boost::optional< double > | width
boost::optional< Colour > | colour
boost::optional< unsigned char > | pattern
boost::optional< unsigned char > | startMarker
boost::optional< unsigned char > | endMarker
boost::optional< unsigned char > | cap
boost::optional< double > | rounding

## Constructor & Destructor Documentation

## § VSDOptionalLineStyle() [1/3]

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( |  | ) |
| inline

## § VSDOptionalLineStyle() [2/3]

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( | const boost::optional< double > & | w,
|  | const boost::optional< Colour > & | col,
|  | const boost::optional< unsigned char > & | p,
|  | const boost::optional< unsigned char > & | sm,
|  | const boost::optional< unsigned char > & | em,
|  | const boost::optional< unsigned char > & | c,
|  | const boost::optional< double > & | r
| ) |  |
| inline

## § VSDOptionalLineStyle() [3/3]

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( | const VSDOptionalLineStyle & | style | ) |
| inline

## § ~VSDOptionalLineStyle()

libvisio::VSDOptionalLineStyle::~VSDOptionalLineStyle | ( |  | ) |
| inline

## Member Function Documentation

## § override()

void libvisio::VSDOptionalLineStyle::override | ( | const VSDOptionalLineStyle & | style | ) |
| inline

Referenced by libvisio::VSD5Parser::readLine(), libvisio::VDXParser::readLine(), libvisio::VSDParser::readLine(), and libvisio::VSDXParser::readStyleProperties().

## Member Data Documentation

## § cap

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::cap

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), and libvisio::VSDXParser::readShapeProperties().

## § colour

boost::optional<Colour> libvisio::VSDOptionalLineStyle::colour

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), and libvisio::VSDXParser::readShapeProperties().

## § endMarker

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::endMarker

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), and libvisio::VSDXParser::readShapeProperties().

## § pattern

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::pattern

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), and libvisio::VSDXParser::readShapeProperties().

## § rounding

boost::optional<double> libvisio::VSDOptionalLineStyle::rounding

Referenced by libvisio::VSDXMLParserBase::_flushShape(), and libvisio::VSDParser::_flushShape().

## § startMarker

boost::optional<unsigned char> libvisio::VSDOptionalLineStyle::startMarker

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), and libvisio::VSDXParser::readShapeProperties().

## § width

boost::optional<double> libvisio::VSDOptionalLineStyle::width

Referenced by libvisio::VSDXMLParserBase::_flushShape(), libvisio::VSDParser::_flushShape(), and libvisio::VSDXParser::readShapeProperties().

The documentation for this struct was generated from the following file:

- VSDStyles.h